Subject: Re: [PATCH] IPv6 IPComp

From: Mitsuru KANDA / 神田 充<[email-masked]>
Date: Sun, 18 May 2003 01:15:05 +0900

Hello,

At Sat, 17 May 2003 02:59:30 +0900,
Mitsuru KANDA / 神田 充 <[email-masked]> wrote:
> 
> 
> At Fri, 16 May 2003 23:40:18 +1000 (EST),
> James Morris <[email-masked]> wrote:
...
> > A few issues:
> > 
> > The crypto/Kconfig file needs to be updated so that the deflate module is 
> > enabled when ipcomp6 is.
> OK, I will send a small patch after this ipcomp6 patch is committed.

Please apply this diff.

Thank you,
-mk

===== Kconfig 1.13 vs edited =====
--- 1.13/crypto/Kconfig	Tue May 13 06:05:32 2003
+++ edited/Kconfig	Sun May 18 01:04:13 2003
@@ -138,7 +138,7 @@
 config CRYPTO_DEFLATE
 	tristate "Deflate compression algorithm"
 	depends on CRYPTO
-	default y if INET_IPCOMP=y || INET_IPCOMP=m
+	default y if INET_IPCOMP=y || INET_IPCOMP=m || INET6_IPCOMP=y || INET6_IPCOMP=m
 	help
 	  This is the Deflate algorithm (RFC1951), specified for use in
 	  IPSec with the IPCOMP protocol (RFC3173, RFC2394).